﻿# The game starts here.
label start:
    $ show_links = False
    stop music fadeout 0.4
    scene black with fade
    pause (0.5)
    play music RINGTONE
    pause (0.5)
    window show
    "In a vain attempt to defy fate, I jam the ends of my pillow into my ears."
    "See, whenever the phone rings at this time of night, there's only one thing it can be."
    "That thing is Steve."
    "Steve is {i}very persistent.{/i}"
    stop music fadeout 0.5
    "I begrudgingly pick up the phone."
    st "Frank! Hey, Frank!"
    st "Fraaaaaaaaank!"
    fr "...Steve."
    fr "You know it's like 4 in the morning, right."
    st "Ahh, c'mon, it's Spring Break! Live a little sometimes."
    st "Anyways man, I need your help. You know that old abandoned hospital? Off of I-80?"
    $ express = "sick_of_your_shit_n"
    fr "Queen Hospital? I've heard of it, sure."
    $ express = "nice_joke_man_n"
    fr "Lemme guess. You forgot something."
    st "Haha! You're practically a psychic, Frank."
    st "Yeah, I brought all the exorcism stuff but forgot my flashlight. Be a pal and bring it over for me, will ya?"
    $ express = "worried_n"
    fr "Ahh, fine."
    $ express = "disgusted_n"
    fr "But you owe me a shake and fries at Disco Chicken. Again."
    "I think that brings his total to 20 shakes and 32 orders of fries, but I've honestly stopped keeping track."
    st "Sounds like a deal! Oh, and could you also bring a-"
    $ express = "worried_n"
    play music PIANO[0] fadein 10.0
    fr "...a what?"
    "The line cuts off before he can finish."
    $ express = "angry_worried_n"
    fr "Steve? ... Steven? Hey, you there?"
    $ express = "worried_n"
    fr "Damn it, not again."
    "For the past couple years or so, Steve and I have had a certain routine."
    "Steve reads a few rumors on the internet, ghost stories people write on random forums and blogs. After minimal research, he barrels into Abandoned Building X in search of ghosts. After an hour or so, he calls me."
    "I drive out and bring him whatever it is he forgot this time."
    "At this point I'm like his personal deus ex machina. I've even picked up some ghost hunting chops of my own, just by association."
    "Granted, about two-thirds of the reports are frauds, but the rest are surprisingly legit. We fought a particularly nasty poltergeist last week with nothing but a diner napkin soaked in holy water and a salt shaker."
    stop music fadeout 6.0
    "I'll say this much. Hanging out with Steve is never boring."
    "I toss my jacket on and drive out to the old hospital."
    "The highway's almost completely empty at this hour, probably because every sane person in Languid Hills has long since gone to bed. I manage to go from my own driveway to a hospital parking space in five minutes flat."
    play music LOADING
    scene hallway without_blood with fade
    "Broken windows. Cracked walls. Lights damaged beyond repair. The only way you can see anything beyond two feet in front of you is the faint trickle of moonlight through the shattered glass."
    "I feel a chilly, spine-tingling aura in the air with the first step into the corridor. Yup, this looks like a ghost haunt all right."
    "I enter the main hallway and turn on the flashlight Steve asked me for."
    $ express = "angry_worried"
    fr "Steve?"
    fr "Hey, I've got your stuff! Come on out!"
    "No answer. What is he doing {i}now{/i}?"
    "I try his cell phone a few times. He doesn't pick up."
    "Well, it's not like this is anything new. I guess I'll go look for him."
    "Heck, knowing him he just forgot to charge his phone again."
    stop music fadeout 1.0
    "Something in the corner of my eye catches my attention. I shine more light on it."
    scene hallway with fade:
        alpha 1.5
    play sound BLEACH
    "...it's blood."
    play music URGENCY[0] fadein 5.0
    "A long, trickling trail of crimson red from here to one of the hospital rooms. And it looks fresh."
    $ express = "spurts_blood"
    fr "Oh god."
    "I run towards it."
    "Steve's been my best friend since sixth grade."
    "Whenever he forgot his homework, I always let him copy mine. When I was flipping out over how to come out to my parents, he was cheering me on."
    "I don't know what I'd even begin to tell his mom if something happened to him."
    $ express = "angry_worried"
    fr "Steve? STEEEEEEEVE!"
    fr "You'd better not be dead in there, or I'll kill you!"
    "I bust down the door and rush inside."
    stop music fadeout 1.0
    scene room with fade
    show luka right shocked at center_dissolve
    #[ENTER LUKA, he will be shown as "Mysterious Boy" at first] Note by Leon: usually changing the variable for names is a better method, since it preserverves the name colors and other settings for the textbox. However we are using a different textbox for each char, so I just changed lu to mb
    $ express = "disgusted"
    mb "..."
    play music NOSTALGIA[0] fadein 30.0
    fr "......"
    show luka right angry with dissolve
    mb "...do you mind? There's a draft."
    $ express = "worried"
    fr "Er, sorry."
    fr "The windows are already broken, so..."
    show luka angry with dissolve
    mb "Doesn't matter."
    mb "Don't just stand there. Close the door."
    $ express = "thoughtful_worried"
    fr "I'd rather not."
    show luka nostalgic with dissolve
    mb "Scared?"
    fr "I don't know you."
    show luka right smile with dissolve
    "He laughs. Well, excuse me for not wanting to get ambushed or anything."
    "...again."
    $ express = "neutral"
    fr "What are you doing here?"
    show luka right thinking with dissolve
    mb "It's a long story."
    $ express = "sick_of_your_shit"
    fr "Is it?"
    show luka neutral with dissolve
    mb "Could be."
    "Maybe I should just leave."
    "Then again..."
    $ express = "neutral"
    fr "Look, do you need help? Do you want me to call someone?"
    show luka surprised with dissolve
    mb "Ah, no. I'm hiding out here."
    show luka right unsure with dissolve
    "He makes a shushing motion at me."
    mb "Careful, it's a secret."
    $ express = "sick_of_your_shit"
    fr "What are you hiding from?"
    show luka fidget with dissolve
    mb "My parents."
    mb "Parents will send you to the hospital over the smallest thing."
    show luka angry with dissolve
    mb "Paper cut? {i}CALL 911.{/i}"
    $ express = "worried"
    fr "Why on earth would you be sent to the hospital over a paper cut?"
    show luka right thinking with dissolve
    mb "Ah, I've got hemophilia."
    $ express = "nice_joke_man"
    fr "...so you ran to an old, ratty hospital?"
    show luka right angry with dissolve
    mb "Where would you hide a book?"
    $ express = "thoughtful_worried"
    fr "Uh... in a place with lots of other books?"
    show luka right thinking with dissolve
    mb "Exactly. No one would think to look here."
    $ express = "disgusted"
    fr "You have {i}hemophilia{/i}."
    show luka angry with dissolve
    show luka angry at flicker_once
    mb "Hey, maybe I wanted to feel in control of my life, for once."
    mb "Hard to do that when your parents never let you do anything."
    menu:
        "\"Maybe you're overreacting?\"":
            $ renpy.fix_rollback()
            $ bad_points += 5
            show luka neutral with dissolve
            $ express = "thoughtful_worried"
            fr "Maybe you're overreacting a little?"
            fr "As I said, you've got hemophilia. I'm sure they just don't want anything to happen to you." #Bad choice, Luka gets mad?
            show luka angry with dissolve
            mb "Yeah, but I think I'm at that age where I'm capable of making my own decisions."
            show luka right shocked with dissolve:
                alpha 1.0
        "\"I can understand that.\"":
            $ renpy.fix_rollback()
            $ good_points += 5
            $ cuddle_points += 5
            $ express = "you_re_cute"
            fr "I can understand that. There comes a certain point where your parents can't tell you what to do, especially if it doesn't hurt others." #Good choice, Luka likes this?
            fr "Like who you want to date, for example."
            show luka right smile with dissolve:
                alpha 1.0
            mb "Exactly! See what I mean?"
            show luka right shocked with dissolve
    mb "Anyways, what are you doing here? Running away too?"
    show luka right thinking with dissolve
    $ express = "neutral"
    fr "No, I'm looking for my friend."
    $ express = "sick_of_your_shit"
    fr "He's about this tall-"
    "I raise my hand to the appropriate height, which happens to be a little above my head."
    $ express = "worried"
    fr "Dark hair, tanned, orange eyes, just turned eighteen?"
    show luka surprised with dissolve
    mb "Hm... I don't think I've seen him."
    show luka neutral with dissolve
    mb "Maybe he's on a different floor?"
    "Crap."
    "I sigh, then think for a moment."
    $ express = "thoughtful_worried"
    fr "Is it possible there could be an old map laying around?"
    show luka right thinking with dissolve
    "He shrugs at me."
    mb "There might be. We can check the other rooms."
    "\"We\"?"
    $ express = "neutral"
    fr "That's okay, I'll go myself."
    show luka right angry with dissolve
    show luka right angry at flicker_once
    mb "Don't be stupid, you can use an extra pair of eyes." #luka is totally full of shit on this and it will be addressed
    "He does have a point. Plus, he seems harmless enough."
    show luka right unsure with dissolve:
        alpha 1.0
    mb "I'm stronger than I look, you know. I'm not completely useless."
    $ express = "worried"
    stop music fadeout 5.0
    fr "Oh, all right."
    $ express = "neutral"
    fr "Let's get started, then."
    "I turn around and walk back through the door leading to the hallways."
    scene hallway with fade
    play music SUMMER1 fadein 1.0
    show luka neutral at midleft_dissolve
    "My new sidekick ambles some distance behind me, as leisurely as a tourist on a sightseeing walk. I get the distinct feeling he's missing the urgency of this particular situation."
    "The doors that happen to be left open lead to empty rooms, no furniture or anything. Better not waste time with those."
    "I test a few of the closed doors instead."
    fr "Some of these seem to be locked."
    show luka right thinking with dissolve
    "He shrugs."
    mb "Hm, I'm not the one with the keys."
    show luka right unsure with dissolve
    mb "At least some of them should still open. Try that one over there."
    "I turn the knob."
    "...well, well, what do you know? Just as he said, this one's not locked."
    stop music fadeout 2.0
    scene room with fade
    show luka neutral at midleft_dissolve
    play sound RUEN
    "While this one does have furniture, the inside's more or less the same as the room where I met this guy. Guess it's pretty standard."
    play music PULSE2 fadein 1.0
    $ express = "sick_of_your_shit"
    fr "Let's try some of these desks."
    show luka right thinking with dissolve
    "The drawer handles are a bit rusty, but with a little bit of elbow grease I manage to pry one open."
    "Of course, with my luck I only manage to find cobwebs and dust."
    $ express = "worried"
    fr "How big is this hospital again?"
    show luka right shocked with dissolve
    mb "Huge. If you plan to look through every single room you'll be here till tomorrow morning."
    $ express = "angry_worried"
    fr "Damn!"
    show luka neutral with dissolve
    "That blood trail's still on my mind and needless to say, it's not making me feel good about this place. I don't care what Steve says. Once I find him, we're outta here."
    "My companion turns to me, blessedly distracting me from this bad train of thought."
    show luka intro with dissolve
    lu "...I just realized I never got your name. I'm Luka."
    $ express = "you_re_cute"
    fr "Nice to meet you, Luka. The name's Frank."
    show luka right smile with dissolve
    lu "Pleased to meet you too. Where do you live?"
    $ express = "neutral"
    fr "Around the area."
    lu "I see."
    show luka surprised with dissolve
    "Suddenly Luka shivers, his teeth chattering slightly."
    show luka fidget with dissolve
    stop music fadeout 3.0
    lu "S-sorry, this hospital gown's kind of drafty at night. I think I need to sit down for a bit."
    play music PULSE1 fadein 1.0
    menu:
        "\"If you need to, you can have my jacket.\"": #1
            $ renpy.fix_rollback()
            $ good_points += 10
            $ give_jacket = True
            $ express = "you_re_cute"
            fr "If you need to, you can have my jacket. I'll wait till you're feeling better." #Luka likes this, points to Good Ending
            show luka nostalgic with dissolve
            lu "That would be nice. Thank you."
            show luka nostalgic at center with move
            show luka neutral jacket with dissolve
            "Luka drapes the jacket over his shoulders and sits down on the edge of the bed, looking at me with curious eyes."
            lu "...while we're here, maybe I should tell you more about myself."
            show luka right smile jacket with dissolve
            lu "You said your friend was eighteen? I'm a little older than that."
            $ express = "neutral_n"
            fr "Did you go to high school around here?"
            show luka right thinking jacket with dissolve
            lu "My parents made me stay in the hospital most of the time, so I never actually graduated."
            menu:
                "\"Any plans to go back?\"": #1
                    $ renpy.fix_rollback()
                    $ good_points -= 5
                    $ bad_points += 5
                    $ express = "sick_of_your_shit_n"
                    fr "Any plans to go back and finish? You already ran away."
                    show luka right unsure jacket with dissolve
                    lu "Maybe. I'm not sure how much I need it, to be honest."
                "\"High school's stupid, anyways.\"": #2
                    $ renpy.fix_rollback()
                    $ good_points += 5
                    $ express = "nice_joke_man_n"
                    fr "High school's stupid, anyways. There's just more lecturing and torture waiting for you in college."
                    show luka right smile jacket with dissolve
                    lu "Haha, that's true. I don't think I need it, to be honest."
                "\"Does someone need a hug?\"": #3
                    $ renpy.fix_rollback()
                    $ cuddle_points += 5
                    $ express = "nice_joke_man_n"
                    fr "Does somebody need a hug?"
                    show luka right shocked jacket with dissolve
                    lu "What?"
                    $ express = "you_re_cute_n"
                    fr "Shh, it'll all be okay. Come into babbu's arms!"
                    show luka fidget jacket with dissolve
                    lu "...I'll pass for now. And possibly forever."
            "He stands up and nods to me."
            show luka neutral jacket with dissolve
            lu "I think I can keep going for now. Let's check another room."
            jump another_room

        "\"I need to find my friend.\"": #2
            $ renpy.fix_rollback()
            $ bad_points += 10
            $ express = "sick_of_your_shit"
            fr "I really need to find my friend. It seems dangerous here, so I don't want either of us to stay that long." #Luka hates this, points to Yandere Ending
            show luka right unsure with dissolve
            show luka right unsure at flicker_once
            lu "...I guess you're right."
            jump another_room
        "\"Let's cuddle for warmth.\"": #3
            $ renpy.fix_rollback()
            $ cuddle_points += 5
            $ express = "you_re_cute"
            fr "How about we cuddle? For warmth."
            show luka right shocked with dissolve
            fr "There's even a bed right here! I call dibs on big spoon." #Vacuum Ending
            show luka intro with dissolve
            lu "Well, don't you work fast?"
            "I wasn't kidding. It's not every day you meet a guy this cuddly, you know!"
            show luka right smile with dissolve
            "At any rate, Luka chuckles and stands up, apparently feeling better."
            jump another_room
label another_room:
    play sound ABANDONED
    stop music fadeout 1.0
    scene hallway without_blood with fade
    if give_jacket:
        show luka neutral jacket at midright_dissolve
    else:
        show luka neutral at midright_dissolve
    "We exit the room and walk down the hall, me testing each door while Luka wanders a little ways behind me."
    play music SUMMER2 fadein 4.0
    if give_jacket:
        $ express = "neutral_n"
    else:
        $ express = "neutral"
    fr "Didn't you say that you were gonna help me?"
    if give_jacket:
        show luka right thinking jacket with dissolve
    else:
        show luka right thinking with dissolve
    lu "I changed my mind."
    lu "Besides, he's {i}your{/i} friend. I don't even know the guy."
    if give_jacket:
        $ express = "disgusted_n"
    else:
        $ express = "disgusted"
    fr "..."
    "Finally, another unlocked door."
    "Though the knob's a bit jammed, I manage to get it open at least. I signal to Luka to come in."
    scene room with fade
    play sound RUEN
    if give_jacket:
        show luka right thinking jacket at midleft_dissolve
    else:
        show luka right thinking at midleft_dissolve
    "Like the last room it's the same layout, same bed, same desks. A few things missing, but the little details hardly make a difference in the end."
    if give_jacket:
        $ express = "nice_joke_man_n"
    else:
        $ express = "nice_joke_man"
    fr "The architects of this place really were the Frank Lloyd Webber of their times, weren't they?"
    if give_jacket:
        show luka right shocked jacket with dissolve
    else:
        show luka right shocked with dissolve
    lu "Hey now, this room has a whole extra layer of dust and three more spiderwebs in the corner. Adds character."
    "Original room, do not steal, huh?"
    "I walk over to try the desk, but this time I can't quite manage it."
    if give_jacket:
        $ express = "thoughtful_worried_n"
    else:
        $ express = "thoughtful_worried"
    fr "Damn."
    fr "Maybe there something under that pillow? What the hell, let's go for it."
    if give_jacket:
        show luka neutral jacket with dissolve
    else:
        show luka neutral with dissolve
    lu "..."
    "And by let us, I clearly mean \"let me.\" Why did I let him tag along again?"
    "I lift up the dusty thing, only to find yet more dust and some scraps of papers."
    "They're torn, crumpled, and look for all the world like decade-year-old garbage, but I might as well take them. Why?"
    "Because that's just what you do in these kinds of situations: pick up everything you find and pocket it."
    "I take a quick glance at them, but I can't make out anything important."
    if give_jacket:
        $ express = "nice_joke_man_n"
    else:
        $ express = "nice_joke_man"
    fr "Hah, all the good info got torn out. How convenient."
    if give_jacket:
        show luka fidget jacket with dissolve
    else:
        show luka fidget with dissolve
    lu "Well, how do you know they're important to begin with?"
    if give_jacket:
        $ express = "neutral_n"
    else:
        $ express = "neutral"
    menu:
        "\"Because I found them.\"": #1
            $ renpy.fix_rollback()
            $ bad_points += 5
            fr "Because I found them."
            if give_jacket:
                show luka right shocked jacket with dissolve
                show luka right shocked jacket at flicker_once
            else:
                show luka right shocked with dissolve
                show luka right shocked at flicker_once
            lu "If it was really that valuable to the person who owned those papers, wouldn't they take better care not to leave it out here for everyone and their mother to see?"
            fr "...point taken."
        "\"I dunno, I just get the feeling.\"": #2
            $ renpy.fix_rollback()
            $ cuddle_points += 5
            fr "I dunno, I just get the feeling it means something."
            if give_jacket:
                show luka right smile jacket with dissolve
            else:
                show luka right smile with dissolve
            lu "{i}I've got a feeling, a feeling I can't hide, oh no~{/i}"
            "I shoot him a pointed glance."
            if give_jacket:
                show luka right unsure jacket with dissolve
            else:
                show luka right unsure with dissolve
            lu "Sorry, I'll stop."
        "\"They're papers in a medical facility.\"": #3
            $ renpy.fix_rollback()
            $ good_points += 5
            fr "They're papers in a medical facility. There's probably info about the patients, the doctors, the kind of things they did in here..."
            if give_jacket:
                show luka surprised jacket with dissolve
                show luka surprised jacket at flicker_once
            else:
                show luka surprised with dissolve
                show luka surprised at flicker_once
            lu "\"Kind of things they did in here\"? It should just be curing patients and standard hospital stuff..."
            "Luka trails off, looking to the side. Not a very convincing argument."
            fr "..."
    stop music fadeout 2.0
    "That's about all that's interesting here, I think. Let's head back."
    scene hallway without_blood with fade
    play music BARREN[0] fadein 30.0
    "Honestly, no matter how far I walk down this hallway it all looks the same. The numbers above the rooms are too faded to read, so despite this being a straight corridor I can't tell if I'm going around in circles."
    if give_jacket:
        show luka surprised jacket at center_dissolve
    else:
        show luka surprised at center_dissolve
    lu "I told you this was a giant hospital."
    if give_jacket:
        $ express = "disgusted_n"
    else:
        $ express = "disgusted"
    fr "Where are the stairs to the next floor?"
    if give_jacket:
        show luka right unsure jacket with dissolve
    else:
        show luka right unsure with dissolve
    "Luka just shrugs and stares off into the distance, uninterested."
    "A lot of the doors I'm trying now won't open at all. Which, frankly speaking, is frustrating beyond belief."
    "...yeah, I know. \"Frankly,\" \"Frank.\" Go ahead, have a chortle. I dare you."
    "At the second-to-last door, my patience finally snaps."
    if give_jacket:
        $ express = "angry_worried_n"
    else:
        $ express = "angry_worried"
    fr "I'm kicking it down."
    if give_jacket:
        show luka right shocked jacket at flicker_once
    else:
        show luka right shocked at flicker_once
    lu "But why?! You don't-"
    play sound DOORKICK
    "My foot has a stern man to man talk with the door, and it's busted before Luka can protest any further."
    "Well, might as well go in now that I can."
    scene room with fade
    "...aaand to no one's surprise, the room looks exactly like the others we've been in so far. I'm starting to think that somebody's doing this for a reason, or maybe it's some kind of sick game that someone's running for their own amusement."
    if give_jacket:
        show luka angry jacket at center_dissolve
    else:
        show luka angry at center_dissolve
    lu "I can't believe you actually did that."
    if give_jacket:
        $ express = "thoughtful_worried_n"
    else:
        $ express = "thoughtful_worried"
    fr "There had better be something important in here. Swear to god."
    if give_jacket:
        show luka right thinking jacket with dissolve
    else:
        show luka right thinking with dissolve
    "And so I jiggle the desk drawers, as I've been doing since time immemorial (or at least the past hour or so.)"
    play sound DOOR
    "After a bit of a struggle, it opens. Two guesses as to what we find there."
    "If you said \"more dust, more papers,\" you get a gold star. Haven't these people ever heard of a filing cabinet?"
    stop music fadeout 5.0
    "At any rate, the papers du jour are in a stapled packet that isn't ripped or crumpled for once. I take a quick flip through some of them."
    if give_jacket:
        $ express = "disgusted_n"
    else:
        $ express = "disgusted"
    fr "... "
    if give_jacket:
        show luka fidget jacket with dissolve
    else:
        show luka fidget with dissolve
    lu "What do they say?"
    if give_jacket:
        $ express = "neutral_n"
    else:
        $ express = "neutral"
    fr "These are from a while back."
    play sound PAX
    "20 years ago, in fact."
    "It looks like a bundle of patient forms, the kind that everyone has to fill in before getting admitted into the hospital. Nothing out of the ordinary."
    "Nothing out of the ordinary, except for the unsettlingly high occurrence of the words \"DECEASED\" and \"TERMINATED,\" stamped across the top of each form in bright red letters."
    if give_jacket:
        $ express = "worried_n"
    else:
        $ express = "worried"
    fr "...let's move on."
    scene hallway without_blood with fade
    play music SUMMER1 fadein 2.0
    if give_jacket:
        show luka right unsure jacket at midright_dissolve
    else:
        show luka right unsure at midright_dissolve
    "Luka walks along, a little unsteadily. This time I'm the one following him."
    "After a while he gives up, leaning heavily against the wall."
    lu "I-I'm sorry, I need to rest."
    menu:
        "\"Again? We can't keep stopping like this.\"": #1
            $ renpy.fix_rollback()
            $ bad_points += 10
            if give_jacket:
                $ express = "angry_worried_n"
            else:
                $ express = "angry_worried"
            fr "Again? We can't keep stopping like this."
            if give_jacket:
                show luka right shocked jacket with dissolve
                show luka right shocked jacket at flicker_once
            else:
                show luka right shocked with dissolve
                show luka right shocked at flicker_once
            lu "Sorry..."
            "He pushes himself off the wall, wobbling a bit on his feet."
            "I know his hemophilia's probably pretty bad and all, but hemophilia ain't anemia and I don't have the time for this."
            "Every minute we waste here is a minute Steve could be sticking his fingers into wall sockets."
        "\"Take your time.\"": #2
            $ renpy.fix_rollback()
            $ good_points += 5
            if give_jacket:
                $ express = "you_re_cute_n"
            else:
                $ express = "you_re_cute"
            fr "Take your time, I don't want you to hurt yourself."
            if give_jacket:
                show luka right smile jacket with dissolve
            else:
                show luka right smile with dissolve
            lu "Thank you, Frank."
            "He sighs and closes his eyes."
            if give_jacket:
                show luka intro jacket with dissolve
            else:
                show luka intro with dissolve
            lu "It's been a long time since I've met anyone as nice as you."
            if give_jacket:
                $ express = "worried_n"
            else:
                $ express = "worried"
            fr "How long have you been here?"
            if give_jacket:
                show luka neutral jacket with dissolve
                show luka neutral jacket at flicker_once
            else:
                show luka neutral with dissolve
                show luka neutral at flicker_once
            lu "...too long."
            if give_jacket:
                show luka right thinking jacket with dissolve
            else:
                show luka right thinking with dissolve
            "Luka pushes himself off the wall, shooting me a grateful smile."
            if give_jacket:
                $ express = "you_re_cute_n"
            else:
                $ express = "you_re_cute"
            fr "You okay now?"
            if give_jacket:
                show luka right smile jacket with dissolve:
                    alpha 1.0
            else:
                show luka right smile with dissolve:
                    alpha 1.0
            lu "Yeah, I can keep going."
            if give_jacket:
                $ express = "neutral_n"
            else:
                $ express = "neutral"
            fr "That's good to hear."
        "\"We can always cuddle.\"": #3
            $ renpy.fix_rollback()
            $ cuddle_points += 5
            if give_jacket:
                $ express = "nice_joke_man_n"
            else:
                $ express = "nice_joke_man"
            fr "We can always cuddle."
            if give_jacket:
                show luka angry jacket with dissolve
                show luka angry jacket at flicker_once
            else:
                show luka angry with dissolve
                show luka angry at flicker_once
            lu "How on earth is that supposed to help?"
            fr "It'll make you feel better."
            if give_jacket:
                show luka right shocked jacket with dissolve
                show luka right shocked jacket at flicker_once
            else:
                show luka right shocked with dissolve
                show luka right shocked at flicker_once
            lu "O... kay?"
            "I wrap my arms around him, rocking him gently to each side, while he stands around extra awkwardly."
            "After a good fifteen minutes of quality skinship, I let go."
            if give_jacket:
                show luka surprised jacket with dissolve:
                    alpha 1.0
            else:
                show luka surprised with dissolve:
                    alpha 1.0
            lu "...wow."
            lu "After all that, I'm a little surprised you didn't try anything else."
            if give_jacket:
                $ express = "you_re_cute_n"
            else:
                $ express = "you_re_cute"
            fr "Final Destination, No Items, Cuddling Only."
    if give_jacket:
        $ express = "neutral_n"
    else:
        $ express = "neutral"
    fr "Come on, don't fall behind."
    "He nods."
    if give_jacket:
        show luka neutral jacket with dissolve:
            alpha 1.0
    else:
        show luka neutral with dissolve:
            alpha 1.0
    stop music fadeout 5.0
    "We keep walking along the seemingly endless hallway."
    "It just keeps going and going and going, like a certain brand of electric rabbit. And it still doesn't help that everything looks the same no matter what."
    if give_jacket:
        show luka right thinking jacket with dissolve
    else:
        show luka right thinking with dissolve
    "Luka sighs."
    if give_jacket:
        show luka right thinking jacket at flicker_once
    else:
        show luka right thinking at flicker_once
    play music URGENCY[0] fadein 20.0
    lu "Are you sure your friend is here? Maybe he already left."
    if give_jacket:
        $ express = "disgusted_n"
    else:
        $ express = "disgusted"
    fr "Well his cell phone's probably dead, so I can't exactly call and ask where he is."
    lu "Oh, yeah. Cell phones never last that long anyways."
    if give_jacket:
        $ express = "worried_n"
    else:
        $ express = "worried"
    fr "Only if you don't charge them before heading out. Smartphones should last at least a day."
    if give_jacket:
        show luka surprised jacket with dissolve
        show luka surprised jacket at flicker_once
    else:
        show luka surprised with dissolve
        show luka surprised at flicker_once
    lu "...what's a smartphone?"
    fr "Are you serious?"
    if give_jacket:
        show luka neutral jacket with dissolve:
            alpha 1.0
    else:
        show luka neutral with dissolve:
            alpha 1.0
    lu "O-of course not."
    lu "But, a day's worth of battery sure is a long time..."
    if give_jacket:
        $ express = "neutral_n"
    else:
        $ express = "neutral"
    fr "..."
    "Finally, we find a door that looks a little different from the others."
    "Luckily for us, it's also unlocked."
    scene storage with fade
    if give_jacket:
        $ express = "disgusted_n"
    else:
        $ express = "disgusted"
    fr "I guess this is the janitor's closet."
    "At least there's more shelves and no bed here, that's new. Random items are stacked haphazardly on top of each other and everything's in a dusty disarray."
    stop music fadeout 5.0
    if give_jacket:
        show luka surprised jacket at left_dissolve
    else:
        show luka surprised at left_dissolve
    lu "There's a lot of stuff in here, maybe you can find the keys?"
    if give_jacket:
        $ express = "neutral_n"
    else:
        $ express = "neutral"
    menu:
        "\"I'll look around.\"":
            $ renpy.fix_rollback()
            $ cuddle_points += 10
            $ bad_points += 5
            fr "I'll look around." #1
            $ luka_help = False
            if give_jacket:
                show luka neutral jacket with dissolve
            else:
                show luka neutral with dissolve
            "Luka stands by in the doorway, watching me inspect each shelf."
        "\"Can you help me?\"":
            $ renpy.fix_rollback()
            fr "Can you help me?" #2
            if good_points >= 25: # Luka likes you:
                if give_jacket:
                    show luka right smile jacket with dissolve
                else:
                    show luka right smile with dissolve
                lu "Sure."
                $ luka_help = True
                "Luka walks to the left of the shelf while I take the right."
            else:
                $ luka_help = False
                $ cuddle_points += 5
                if give_jacket:
                    show luka right angry jacket with dissolve
                    show luka right angry jacket at flicker_once
                else:
                    show luka right angry with dissolve
                    show luka right angry at flicker_once
                lu "I don't know where to look."
                if give_jacket:
                    $ express = "sick_of_your_shit_n"
                else:
                    $ express = "sick_of_your_shit"
                fr "Well, I don't either."
                "He doesn't budge from his place under the doorway."
        "\"This {i}is{/i} a storeroom.\"":
            $ renpy.fix_rollback()
            $ bad_points += 10
            $ cuddle_points += 5
            $ luka_help = False
            fr "This {i}is{/i} a storeroom, so it better be in here." #3\
            "He watches as I start combing through the shelves, not moving from his spot."
    if give_jacket:
        show luka neutral jacket with dissolve
    else:
        show luka neutral with dissolve
    "There's old bottles of medicine that are way past their expiration date, a few boxes of gloves and face masks, and an assortment of unidentifiable objects I don't even want to begin to know about."
    "Now, normally a key would be hanging on the wall, but in this case I can't see any hooks. Is it on a higher shelf?"
    "I curse the side of the family that doomed me with recessive shortness genes a thousand times over. The last thing I want to do is putz around trying to find a chair to stand on, especially in front of Luka."
    if luka_help:
        if give_jacket:
            show luka nostalgic jacket with dissolve
        else:
            show luka nostalgic with dissolve
        lu "Do you need to reach one of the taller shelves? Let me help."
        if give_jacket:
            $ express = "nice_joke_man_n"
        else:
            $ express = "nice_joke_man"
        fr "I'll swallow my pride here and say yes. Can you check over here?"
        if give_jacket:
            show luka nostalgic jacket at center with move
            show luka right smile jacket with dissolve
        else:
            show luka nostalgic at center with move
            show luka right smile at center with dissolve
        "Luka walks over and effortlessly inspects one of the higher levels. After a while, he reaches up and grabs a small key, dusting it off on his gown before handing it to me."
        if give_jacket:
            show luka intro jacket with dissolve
        else:
            show luka intro with dissolve
        lu "Here you are."
    else:
        "He's still watching me, and he's still not moving. What a great sport, that Luka."
        if give_jacket:
            show luka right thinking jacket with dissolve
        else:
            show luka right thinking  with dissolve
        lu "If you can't reach up on your own then find a chair or something to stand on."
        if give_jacket:
            $ express = "disgusted_n"
        else:
            $ express = "disgusted"
        fr "Nah, I don't need it."
        "Tch, mind reader."
        play sound DOOR
        "With that I pry open one of the glass doors, place my foot on one of the lower shelves, reach for one above my head, step up one shelf, and repeat the process until I'm finally where I want to be."
        "Great, it's extra dusty up here. Under a particularly high mound of dust is something yellow, and lo and behold, it's a key."
    if give_jacket:
        $ express = "thoughtful_worried_n"
    else:
        $ express = "thoughtful_worried"
    fr "This better open something."
    if cuddle_points >= 20: #35 possible
        jump cuddle_ending
    if good_points >= 25: #30 possible
        if give_jacket:
            jump true_ending
        else:
            jump bad_ending
    if bad_points >= 40: #50 possible
        jump bad_ending
    else:
        jump bad_ending
        
    #Best/Date a Ghost Ending (Frank dates Luka)
    label true_ending:
        show luka right smile jacket with dissolve
        lu "Let's find out."
        lu "Back to the corridor now?"
        scene hallway with fade
        play music PULSE1 fadein 2.0
        "I nod and follow Luka to the hallway with that same old creepy blood trail."
        fr "Hm..."
        show luka neutral jacket at center_dissolve
        lu "What?"
        $ express = "worried_n"
        fr "Okay, the blood trail starts here, right?"
        fr "So whoever it was must've come from somewhere else and got attacked here."
        show luka right thinking jacket with dissolve
        lu "Thank you, Captain Obvious."
        $ express = "disgusted_n"
        show luka right unsure jacket with dissolve
        fr "I'm just making sure we're on the same page, is all."
        $ express = "thoughtful_worried_n"
        fr "The problem is, there's a lot of locked doors, so maybe we need to check them all. At least the ones on this ground level."
        show luka fidget jacket with dissolve
        show luka fidget jacket at flicker_once
        lu "For all you know that's a skeleton key."
        stop music fadeout 5.0
        $ express = "neutral_n"
        fr "Well, we're about to find out."
        fr "Let's leave this hall, it's weirding me out."
        scene hallway without_blood with fade
        play music SUMMER2 fadein 5.0
        "Sure enough, after finding a different hall to check, the key didn't fit any of the doors."
        show luka fidget jacket at center_dissolve
        fr "Okay, so."
        lu "..."
        fr "Let's just check all of them. At least the ones on the ground floor."
        show luka right shocked jacket with dissolve
        show luka right shocked jacket at flicker_once
        lu "...are you serious? That would take forever."
        lu "And what about your idiot?"
        $ express = "worried_n"
        show luka right thinking jacket with dissolve
        fr "First of all, this key apparently fits a specific door. Checking should be tedious, not long."
        $ express = "nice_joke_man_n"
        fr "Second off, I haven't heard any panicked screams yet. I'm sure he'll be fine."
        show luka right unsure jacket with dissolve
        lu "..."
        "I stop and take a good look at Luka."
        show luka right unsure jacket at flicker
        "He seems a little uncomfortable."
        $ express = "worried_n"
        fr "Luka? Are you okay?"
        show luka nostalgic jacket with dissolve
        lu "Hm? Yeah, I'm fine."
        show luka neutral jacket with dissolve:
            alpha 0.75
        lu "Let's get this over with."
        fr "Okay, we'll start from the bottom floor to the top, left to right..."
        stop music fadeout 30.0
        scene hallway with fade
        "About an hour or two later, we've managed to try the key in enough doors to narrow things down considerably. Just one door left, back in the bloody hallway."
        show luka right thinking jacket at center_dissolve
        "I reach for the doorknob when Luka interrupts me."
        show luka right angry jacket with dissolve
        show luka right angry jacket at flicker
        lu "Hey, what if that was just some spare key to someone's car or something?"
        $ express = "nice_joke_man_n"
        fr "... {i}now{/i} you bring that up?"
        show luka neutral jacket with dissolve
        "He shrugs."
        lu "I just thought about it."
        $ express = "sick_of_your_shit_n"
        fr "..."
        "Despite Luka's reservations, I turn and put the key in the lock."
        $ express = "you_re_cute_n"
        play sound MEDCAB
        fr "Hey, it fits! Now we won't have to go to the other floors."
        "I turn to Luka."
        $ express = "neutral_n"
        fr "Here, let's enter back to back."
        show luka surprised jacket with dissolve:
            linear 0.3 alpha 1.0
        lu "Uh, why?"
        $ express = "nice_joke_man_n"
        fr "I've seen enough horror movies to know where the jump scares are."
        $ express = "neutral_n"
        fr "Plus, we don't know if there's anyone else here we might've missed, and this way nothing can sneak up on us."
        fr "Like What's-Her-Face and Adrian Brody in Predators."
        show luka right shocked jacket with dissolve
        "Luka tilts his head to one side quizzically."
        lu "Wasn't it Arnold Schwarzenegger in Predator?"
        $ express = "thoughtful_worried_n"
        fr "No, I mean... nevermind. We're wasting time."
        scene creepy room with fade
        play music BARREN[0] fadein 10.0
        play sound SPUR
        "We finally enter the room."
        $ express = "spurts_blood_n"
        fr "...maybe we should go back out and forget this."
        show luka right thinking jacket at center_dissolve
        "Luka steps forward."
        show luka right thinking jacket at flicker
        lu "No...we've made it this far."
        "I look around."
        "This is... unsettling, to say the least. More than all the other creepy abandoned hospital wings put together."
        $ express = "angry_worried_n"
        fr "What the hell kind of hospital room is this?"
        show luka neutral jacket with dissolve
        lu "..."
        "Once again, Luka's looking odd."
        $ express = "worried_n"
        fr "Do you want to wait outside?"
        show luka right shocked jacket with dissolve:
            linear 0.6 alpha 0.7
        lu "...it's fine."
        show luka right shocked jacket:
            linear 0.3 alpha 0.9
        $ express = "neutral_n"
        fr "If you're sure."
        show luka neutral jacket with dissolve:
            alpha 0.8
        "I walk over to the desk and try to open it."
        $ express = "thoughtful_worried_n"
        fr "Gh! It's stuck."
        show luka neutral jacket:
            linear 1.0 alpha 1.0
        lu "Ah well."
        fr "No, not \"ah well.\""
        show luka right shocked jacket with dissolve
        play sound MEDCAB
        "I grab one of the IV hooks out from the corner and start unceremoniously smacking the dresser with it."
        $ express = "angry_worried_n"
        play sound MEDCAB
        fr "Open. {i}Open.{/i} OPEEEN."
        show luka right smile jacket with dissolve
        play sound MEDCAB
        lu "At least use a battle cry. Like \"By the power of Greyskull!\""
        $ express = "thoughtful_worried_n"
        show luka right thinking jacket with dissolve
        fr "Fine."
        $ express = "angry_worried_n"
        fr "{i}...MY HUNTER-GATHERER BLOOD BOILS!{/i}"
        show luka right shocked jacket with dissolve
        show luka right shocked jacket at flicker_once
        play sound DOORKICK
        stop music fadeout 5.0
        "On that last hit, the desk drawer makes a weird crashing noise."
        "I reach down and yank it open, fishing out the papers inside."
        "As with all bundles of paper I've encountered now, in the past, and will ever encounter in the future, I flip through them."
        show luka fidget jacket with dissolve
        "..."
        "......"
        show luka fidget jacket:
            linear 1.0 alpha 0.8
        "........."
        $ express = "thoughtful_worried_n"
        fr "Luka."
        show luka neutral jacket with dissolve
        lu "Yes."
        $ express = "worried_n"
        play sound PULSE1
        fr "These are about you."
        show luka right thinking jacket with dissolve
        show luka right thinking jacket at flicker_once
        lu "... Yes."
        "Grabbing what I think is relevant, I start to read out loud."
        "{i}McGyver, Luka. Age 20.{/i}"
        show luka right thinking jacket at flicker
        "{i}DOB: 2/14/1973{/i}"
        "{i}The patient has been receiving the suggested dosage of {color=#C80000}REDACTED{/color}. At present, there appears to be no evidence of the desired effect.{/i}"
        show luka neutral jacket with dissolve
        "{i}In addition, he has been receiving an intake greater than the LD50, yet continues to prove unresponsive to the {color=#C80000}REDACTED{/color}.{/i}"
        "{i}Dr. Malv-{/i}"
        $ express = "nice_joke_man_n"
        fr "Okay, if that doesn't tell you he's got a questionable medical license, I don't know what will."
        show luka right unsure jacket with dissolve:
            linear 0.3 alpha 0.6
        lu "Just keep going."
        show luka right unsure jacket with dissolve:
            linear 0.3 alpha 0.7
        "{i}Dr. Malv's recommendation is that if the patient continues to display no response to {color=#C80000}REDACTED{/color} within the week, the vivisection will take place as scheduled.{/i}"
        $ express = "spurts_blood_n"
        fr "Annnd I'm not going to read any further."
        show luka neutral jacket with dissolve:
            linear 0.8 alpha 0.9
        fr "..."
        "I set the packet down."
        $ express = "disgusted_n"
        fr "Hey... is that how you died? You were {i}vivisected{/i}?"
        lu "No, I-"
        play sound ABANDONED
        show luka angry jacket with vpunch:
            linear 0.2 alpha 0.7
        lu "YOU KNOW?!"
        $ express = "nice_joke_man_n"
        fr "Uh, yeah?"
        show luka right angry jacket with dissolve
        show luka right angry jacket at flicker
        lu "I- but-"
        lu "{i}How?!{/i}"
        fr "Have you looked at yourself lately? You couldn't be any more obvious."
        $ express = "neutral_n"
        show luka right thinking jacket with dissolve
        fr "I mean, if I hadn't known before, the fact you were born in '73 and still look around my age makes it downright definite."
        $ express = "worried_n"
        fr "Plus, I can see ghosts. Always have."
        show luka right shocked jacket with dissolve
        fr "Not that I make this common knowledge, mind you. I know what happens to people who say they see things floating in midair."
        show luka right unsure jacket with dissolve:
            linear 0.2 alpha 0.79
        lu "...oh."
        "He seems a bit surprised. Maybe he thought I'd be too stupid to notice."
        fr "So I assume you died here, which is why you're hanging around."
        $ express = "thoughtful_worried_n"
        fr "Do you want to tell me what happened? Or is it... bad."
        lu "No, it's okay."
        play music RECOLLECTION[0] fadein 30.0
        "He takes a deep breath and stares off into the distance, as if to gather up his thoughts."
        show luka neutral jacket with dissolve:
            linear 0.2 alpha 0.9
        lu "...I was in this room when I decided something weird was going on."
        show luka neutral jacket:
            linear 0.6 alpha 0.8
        lu "The staff said something was wrong with my aorta and they needed to operate, but-"
        $ express = "worried_n"
        fr "But you weren't so sure about that."
        lu "Yeah. This hospital had always been strange. It didn't seem to have a high rate of fixing people."
        show luka right unsure jacket with dissolve:
            linear 0.3 alpha 0.7
        lu "So I decided I didn't want them cutting me up."
        "I look at the disarray around the room, particularly on and around the bedside."
        $ express = "thoughtful_worried_n"
        fr "Right here, in this bed..."
        show luka angry jacket with dissolve:
            linear 0.6 alpha 0.95
        lu "There was a struggle."
        lu "I tried to sneak out, but the orderlies ended up chasing after me."
        show luka right angry jacket with dissolve
        lu "Well, you saw that blood trail. You can guess what happened."
        fr "I can."
        $ express = "worried_n"
        fr "But, why would they kill you?"
        show luka right unsure jacket with dissolve:
            linear 1.0 alpha 0.8
        lu "I {i}did{/i} stab one of them with a scalpel. I guess she didn't like that."
        $ express = "disgusted_n"
        fr "No kidding."
        show luka angry jacket with dissolve:
            linear 0.6 alpha 0.6
        lu "What can I say? She grabbed me, I panicked."
        lu "She stabbed me in the chest. I didn't make it very far before collapsing in that doorway."
        show luka right thinking jacket with dissolve:
            linear 0.6 alpha 0.5
        lu "And that was it. I bled out."
        "There's a tight knot in my chest, even with Luka describing everything like it'd happened from a distance."
        "When I was a kid, I fell head-first down a flight of stairs and had to get rushed to the emergency room for some stitches and a blood transfusion. That feeling as the cherry red blood spurted down my forehead was something that always stuck with me."
        "Bleeding out is no way to go."
        fr "I'm so sorry, Luka."
        show luka nostalgic jacket with dissolve:
            linear 2.0 alpha 0.8
        lu "It's okay. I got even, anyways."
        $ express = "worried_n"
        fr "Uhh."
        lu "If you'd read further into those documents, and pieced everything together, you'd see that what they were trying to do was to see what happens when you die."
        $ express = "neutral_n"
        fr "I'll take an educated guess here and say it worked."
        $ express = "thoughtful_worried_n"
        fr "...sort of."
        show luka neutral jacket with dissolve:
            linear 1.0 alpha 1.0
        lu "Yeah."
        lu "I wasn't happy when I, er, \"came to.\""
        show luka yandere jacket with dissolve
        lu "...I may or may not have killed all the staff involved."
        show luka neutral jacket with dissolve
        $ express = "disgusted_n"
        fr "...ah."
        $ express = "thoughtful_worried_n"
        fr "But, there's nothing about that in the records of this place."
        show luka right thinking jacket with dissolve:
            linear 0.5 alpha 0.8
        "Luka shrugs for the nth time."
        show luka right thinking jacket at flicker_once
        lu "I'm sure they covered it up pretty well."
        lu "They wouldn't want people looking too far into it, after all."
        $ express = "worried_n"
        fr "...I guess that makes sense."
        show luka neutral jacket with dissolve:
            linear 1.0 alpha 1.0
        lu "Right. They couldn't stay open after like a dozen people died."
        "He notes my expression."
        show luka right smile jacket with dissolve
        lu "Don't lose any sleep over it. They had it coming."
        show luka right unsure jacket with dissolve
        lu "Though, sometimes I wonder what happened to the people the medicine or whatever it was {i}did{/i} affect."
        $ express = "thoughtful_worried_n"
        fr "It's... probably best not to think about it."
        lu "Yeah."
        lu "At least I stopped them from hurting anyone else."
        show luka angry jacket with dissolve:
            linear 0.5 alpha 0.9
        lu "Well, most of them. Dr. Marv got away, come to think of it."
        $ express = "disgusted_n"
        fr "That sucks."
        show luka angry jacket at flicker_once
        lu "Tell me about it."
        show luka neutral jacket with dissolve:
            linear 1.0 alpha 1.0
        lu "So what now?"
        $ express = "neutral_n"
        fr "Now? Now we find Steve."
        fr "Wherever he is."
        show luka right shocked jacket with dissolve:
            linear 0.5 alpha 1.0
        "Luka blinks at me."
        lu "...you seem surprisingly unbothered by all this."
        $ express = "disgusted_n"
        fr "Well, they {i}were{/i} planning to vivisect you."
        fr "And experimenting on people without their knowledge, and generally doing everything they could to violate the Geneva Convention."
        $ express = "nice_joke_man_n"
        fr "I'm not feeling particularly charitable here."
        show luka surprised jacket with dissolve
        lu "Huh."
        stop music fadeout 5.0
        lu "Well, all right."
        show luka intro jacket with dissolve
        lu "Let's go get your baggage."
        scene hallway with fade
        "We're about to go out in search of Steve, when-"
        show luka right shocked jacket with dissolve
        play sound RINGTONE
        $ express = "disgusted_n"
        fr "..."
        $ express = "sick_of_your_shit_n"
        fr "Hello?"
        st "{i}FRANK, WHERE ARE YOU?!{/i}"
        $ express = "angry_worried_n"
        fr "Stop screaming in my ear!"
        show luka surprised jacket with dissolve
        st "Whoops! Sorry, wasn't sure if y'could hear me."
        "You'd have to be deaf not to!"
        st "Where are you right now?"
        show luka neutral jacket with dissolve
        $ express = "thoughtful_worried_n"
        fr "I'm on the ground floor of the hospital. Where are {i}you{/i}?"
        st "Well buddy, I {i}miiiiiiiight{/i} have gotten locked in the basement for a while."
        st "But I finally managed to get out, all by myself!"
        st "Aren't you proud of me, Frank?"
        "I'm resisting the urge to facepalm so hard right now."
        $ express = "nice_joke_man_n"
        fr "Okay, yeah. I bequeath unto thee the most figurative and metaphorical of cookies."
        $ express = "sick_of_your_shit_n"
        show luka right shocked jacket with dissolve:
            linear 3.0 alpha 0.8
        fr "Look, I'll meet you at the front. Think can you handle that much?"
        st "Yeah!"
        "He pauses."
        st "...hey Frank, are you mad?"
        $ express = "nice_joke_man_n"
        fr "What?"
        show luka right shocked jacket with dissolve:
            linear 0.6 alpha 0.6
        st "'Cuz you sound kinda mad."
        st "I'm sorry."
        "I sigh. He really is like a puppy or something."
        "A puppy that's watched way too much Ghostbusters."
        $ express = "you_re_cute_n"
        show luka right unsure jacket with dissolve
        fr "As long as you're all right."
        fr "See you in a few."
        "I hang up when I notice Luka hanging back and trying to hide himself."
        $ express = "worried_n"
        fr "Well? C'mon."
        show luka fidget jacket with dissolve
        show luka fidget jacket at flicker
        lu "But... I'm a ghost."
        $ express = "nice_joke_man_n"
        fr "So I noticed."
        $ express = "worried_n"
        fr "Are you trapped here?"
        show luka neutral jacket with dissolve
        lu "I wouldn't say that, exactly."
        lu "I've wandered away from here a few times before."
        fr "Then what are you waiting for?"
        show luka neutral jacket:
            linear 0.6 alpha 0.6
        lu "I don't..."
        show luka surprised jacket with dissolve:
            linear 1.0 alpha 0.5
        lu "Do I really believe in the world of the living anymore?"
        $ express = "sick_of_your_shit_n"
        fr "Dude, don't be stupid."
        show luka fidget jacket with dissolve:
            linear 1.0 alpha 0.8
        lu "But-"
        play music PIANO2[0] fadein 3.0
        scene cg1 with fade
        lu "Uh, what are you doing?"
        frcg "Trying to bite your ear off, what do you think I'm doing?"
        frcg "I told you not to be stupid, remember?"
        lu "I..."
        frcg "Think of it this way. Do you really want to stay in Miserable Depressing Silent-Hill-landia for all of eternity?"
        lu "Not particularly."
        frcg "Then I don't see what you're worried about."
        scene hallway with fade
        show luka right smile jacket at center_dissolve
        $ express = "you_re_cute_n"
        fr "Now, we should probably head out and meet my friend before he gets himself trapped in the vents or something."
        $ express = "nice_joke_man_n"
        fr "Though I should really give him a heads-up about the whole ghost deal."
        show luka intro jacket with dissolve
        lu "That may be an important piece of information, yes."
        show luka nostalgic jacket with dissolve
        "I hold out my hand. He grabs it without an ounce of hesitation."
        $ express = "you_re_cute_n"
        show hallway without_blood with dissolve
        fr "Let's go, Luka. Today's the first day of the rest of your unlife!"
        show luka right smile jacket with dissolve
        lu "Heh! That's so cheesy."
        "Well, {i}I{/i} thought it was snappy."
        show hallway without_blood:
            linear 1.0 alpha 1.5
        "We walk hand in hand to the front of the building without further ado, towards the windows where the sun is just starting to rise..."
        $ show_quick_menu = False
        window hide
        scene black with fade
        centered "{font=GUI/1942.ttf}{size=+70}{cps=*0.2}ending 1: spectre{/cps}{/size}{/font}\n\n\n{font=GUI/1942.ttf}{size=+60}{cps=*0.2}<'spek.tre> {i}noun{/i}{/cps}{/size}{/font}\n\n\n\n{font=GUI/1942.ttf}{size=+40}{cps=*0.1}1. that which haunts the mind{/cps}{/size}{/font}\n\n{font=GUI/1942.ttf}{size=+40}{cps=*0.08}2. souls of the dead{/cps}{/size}{/font}\n\n{font=GUI/1942.ttf}{size=+40}{cps=*0.08}3. your new boyfriend{/cps}{/size}{/font}" with dissolve
        

        $ persistent.luka_diary_unlocked = True
        call luka_diary

        
#        centered "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password unlocked. Visit {a=http://nightatthehospital.vnovel.com/journals}{font=GUI/1942.ttf}{size=+70}{cps=*0.5}the website{/cps}{/size}{/font}{/a} and type in {color=#C80000}Vega{/color} to view Luka's entries.{/cps}{/size}{/font}" with dissolve
        jump the_end

    label cuddle_ending:
        #Meh??? What/Vacuum/NOW FRANK IS THE YANDERE Ending (Steve sucks up Frank and Luka into a vacuum cleaner and they're both ghosts)
        lu "We'll see."
        lu "Let's try it on some of the doors we couldn't get into before."
        fr "All right."
        scene hallway with fade
        if give_jacket:
            $ express = "angry_worried_n"
            show luka neutral jacket at midleft_dissolve
        else:
            $ express = "angry_worried"
            show luka neutral at midleft_dissolve
        "We walk back together into the same old, same old."
        "Well, with one difference."
        play music NOSTALGIA[0] fadein 6.0
        show steve right derp at right with dissolve
        if give_jacket:
            show luka right shocked jacket with dissolve
        else:
            show luka right shocked with dissolve
        st "Frank!"
        fr "{i}...you!{/i}"
        fr "Where were you? Do you have any idea how worried I was?!"
        show steve grin with dissolve
        st "Haha, my bad! I was gonna ask you to bring me a charger, but I got cut off 'cuz the reception was being all lame. After that I was saving my battery so I could have a lil' light."
        show steve neutral with dissolve
        if give_jacket:
            show luka surprised jacket with dissolve
            $ express = "nice_joke_man_n"
        else:
            show luka surprised with dissolve
            $ express = "nice_joke_man"
        fr "You dumbass."
        if give_jacket:
            $ express = "you_re_cute_n"
        else:
            $ express = "you_re_cute"
        fr "Steve, this is Luka. I found him when I was wandering around looking for you."
        fr "Luka, this is my friend Steve."
        if give_jacket:
            show luka fidget jacket with dissolve
        else:
            show luka fidget with dissolve
        lu "Hello."
        show steve right grin with dissolve
        st "Hey! Nice to meet ya, Luka."
        show steve right neutral with dissolve
        st "How'd a kid like you get mixed up in all this? You a ghost hunter too?"
        if give_jacket:
            show luka angry jacket with dissolve
            show luka angry jacket at flicker_once
        else:
            show luka angry with dissolve
            show luka angry at flicker_once
        lu "...it's a long story."
        lu "And I'm not a kid. I'm older than both of you."
        if give_jacket:
            $ express = "nice_joke_man_n"
        else:
            $ express = "nice_joke_man"
        show steve neutral with dissolve
        stop music fadeout 2.0
        fr "Ahh, don't pout about it. Steve calls everyone kids."
        "Well, now that the gang's all here, there's just one more thing I need to take care of."
        if give_jacket:
            $ express = "worried_n"
            show luka neutral jacket with dissolve
        else:
            $ express = "worried"
            show luka neutral with dissolve
        fr "By the way, Steve."
        show steve right derp with dissolve
        st "What's up?"
        fr "Did I mention Luka's a ghost?"
        show steve right surprised with vpunch
        play music SINISTER[0] fadein 1.0
        st "What?!"
        if give_jacket:
            show luka right angry jacket with vpunch
        else:
            show luka right angry with vpunch
        lu "What?! {i}How?{/i}!"
        show steve surprised with dissolve
        "Steve immediately whips out the Ghost-E-Vac and fumbles for the power switch."
        "Now's my chance!"
        if give_jacket:
            show luka angry jacket with dissolve
        else:
            show luka angry with dissolve
        "I grab my ghost boy and cuddle him like I've never cuddled before."
        if give_jacket:
            show luka surprised jacket with dissolve
        else:
            show luka surprised with dissolve
        "Luka's eyes widen as soon as he realizes what I'm doing, but it's too late."
        if give_jacket:
            show luka yandere jacket with hpunch:
                linear 0.2 alpha 0.8
        else:
            show luka yandere with hpunch:
                linear 0.2 alpha 0.8
        lu "{i}Youuuuuu...{/i}"
        if give_jacket:
            show luka right yandere jacket with hpunch:
                linear 0.2 alpha 0.7
        else:
            show luka right yandere with hpunch:
                linear 0.2 alpha 0.7
        lu "{i}You traitor! I'll take you down with me!{/i}"
        hide steve surprised with dissolve
        show hallway:
            linear 3.0 alpha 20.0
        "The Ghost-E-Vac envelops us both in a blinding beam of exorcism, just as Luka drags the soul out of my body."
        show hallway:
            alpha 20.0
            linear 1.0 alpha 80.0
        stop music fadeout 1.0
        "..."
        scene void 1 with fade
        "We find ourselves floating in a vast, empty space."
        "This is the pocket dimension inside Steve's glorified vacuum cleaner. Once a ghost, fairy, or any other spiritual phenomena gets dragged in here, there's no getting out."
        "It's the best investment he's ever made, to be honest. Not that that's all that hard."
        play music BARREN[0] fadein 4.0
        "I turn proudly to my new BFF."
        if give_jacket:
            show luka angry jacket at center_dissolve
            $ express = "nice_joke_man_n"
        else:
            show luka angry at center_dissolve
            $ express = "nice_joke_man"
        fr "So, Luka."
        show void 2 with dissolve
        if give_jacket:
            show luka right yandere jacket with dissolve
        else:
            show luka right yandere with dissolve
        lu "...don't talk to me."
        if give_jacket:
            show luka angry jacket with dissolve
        else:
            show luka angry with dissolve
        lu "I can't believe you betrayed me like that. I was so stupid to trust you!"
        "I stare blankly at him."
        lu "What?"
        if give_jacket:
            scene cg3_ 9 luka_jacket with fade
        else:
            scene cg3_ 9 frank_jacket with fade
        frcg "What do you mean, Luka baby? Don't you see I did this out of love? For {i}us{/i}?"
        if give_jacket:
            show cg3_ 7 luka_jacket with dissolve
        else:
            show cg3_ 7 frank_jacket with dissolve
        lu "...excuse me?"
        if give_jacket:
            show cg3_ 4 luka_jacket with dissolve
        else:
            show cg3_ 4 frank_jacket with dissolve
        "I pat him on the head."
        if give_jacket:
            show cg3_ 9 luka_jacket with dissolve
        else:
            show cg3_ 9 frank_jacket with dissolve
        frcg "Luka, Luka, Luka. It's not rocket science."
        if give_jacket:
            show cg3_ 6 luka_jacket with dissolve
        else:
            show cg3_ 6 frank_jacket with dissolve
        frcg "I knew the second I said the word \"ghost\" Steve was gonna break out the Ghost-E-Vac."
        if give_jacket:
            show cg3_ 5 luka_jacket with dissolve
        else:
            show cg3_ 5 frank_jacket with dissolve
        frcg "And I also knew you'd try to get some kind of karmic revenge on me. I mean, that's just a given."
        if give_jacket:
            show cg3_ 4 luka_jacket with dissolve
        else:
            show cg3_ 4 frank_jacket with dissolve
        lu "Then why?"
        if give_jacket:
            show cg3_ 6 luka_jacket with dissolve
        else:
            show cg3_ 6 frank_jacket with dissolve
        lu "What reason could you possibly have to do this?!"
        if give_jacket:
            show cg3_ 3 luka_jacket with dissolve
        else:
            show cg3_ 3 frank_jacket with dissolve
        frcg "I told you, didn't I? Out of love."
        frcg "{i}Love of cuddling you.{/i}"
        if give_jacket:
            show cg3_ 2 luka_jacket with dissolve
        else:
            show cg3_ 2 frank_jacket with dissolve
        lu "..."
        lu "So you planned to get trapped in a pocket dimension for quite possibly the rest of eternity... for {i}cuddling{/i}?"
        if give_jacket:
            show cg3_ 5 luka_jacket with dissolve
        else:
            show cg3_ 5 frank_jacket with dissolve
        frcg "Yes, yes I did."
        if give_jacket:
            show cg3_ 4 luka_jacket with dissolve
        else:
            show cg3_ 4 frank_jacket with dissolve
        lu "..."
        "I edge closer to Luka and throw my arms around him. Our ephemeral bodies touch and he begins to shake."
        if give_jacket:
            show cg3_ 1 up luka_jacket with dissolve
        else:
            show cg3_ 1 up frank_jacket with dissolve
        frcg "So, whaddya say? Eh? Hey?"
        lu "You're insane!"
        if give_jacket:
            show cg3_ 2 up luka_jacket with dissolve
        else:
            show cg3_ 2 up frank_jacket with dissolve
        "He lets out a long, world-weary sigh."
        lu "But you're also the first real company I've had in two decades. I guess I could do worse."
        if give_jacket:
            show cg3_ 3 up luka_jacket with dissolve
        else:
            show cg3_ 3 up frank_jacket with dissolve
        lu "...maybe."
        frcg "Definitely maybe!"
        frcg "Now come here... {i}my little ghostly-wostly snugglebunny.{/i}"
        $ show_quick_menu = False
        window hide
        scene black with fade
        centered "{font=GUI/1942.ttf}{size=+80}{cps=*0.2}ending 2: vacuum{/cps}{/size}{/font}\n\n\n{font=GUI/1942.ttf}{size=+60}{cps=*0.2}<vak'yoo(e)m> {i}noun{/i}{/cps}{/size}{/font}\n\n\n\n{font=GUI/1942.ttf}{size=+50}{cps=*0.1}1. a void{/cps}{/size}{/font}\n\n{font=GUI/1942.ttf}{size=+50}{cps=*0.08}2. isolation{/cps}{/size}{/font}" with dissolve
        #centered "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password unlocked. Visit {a=http://nightatthehospital.vnovel.com/journals}{font=GUI/1942.ttf}{size=+70}{cps=*0.5}the website{/cps}{/size}{/font}{/a} and type in {color=#C80000}Swordfish{/color} to view Frank's entries.{/cps}{/size}{/font}" with dissolve
        $ persistent.frank_diary_unlocked = True
        call frank_diary
        jump the_end

    #Yandere/Possession Ending (Luka possesses Steve)
    label bad_ending:
        lu "Actually Frank, wait here."
        if give_jacket:
            $ express = "disgusted_n"
        else:
            $ express = "disgusted"
        fr "Huh?"
        if give_jacket:
            $ express = "angry_worried_n"
            hide luka right thinking jacket with dissolve
        else:
            $ express = "angry_worried"
            hide luka right thinking  with dissolve
        play sound ABANDONED
        "I turn around and just like that, he's gone without a trace."
        "Now that he's disappeared I feel a little less uneasy in some ways, but a little more uneasy in other ways. I get the sense that something very bad is about to happen."
        play music SUMMER2 fadein 2.0
        "..."
        "I guess I should just wait like he said to, but time's a-wasting."
        "..."
        "Screw this, I'm going to go back out to the hall. I don't know what happened with Luka, but if something got him..."
        stop music fadeout 5.0
        scene hallway with fade:
            alpha 2.0
        "It's empty when I step back out, though I didn't really expect anything else. It's starting to get brighter, so the sun must be coming up now."
        play sound FOOTSTEPS
        "I run down the hall."
        fr "Luka? {i}Luuuka?{/i} Where are you?"
        "Only footsteps and echoes answer in response. I run even faster."
        fr "Luka, are you alright?!"
        "This is bad, I can't lose anyone else right now. Even if he's a stranger and kind of annoying sometimes, Luka-"
        st "Heeeeeeey!"
        if give_jacket:
            $ express = "spurts_blood_n"
        else:
            $ express = "spurts_blood"
        fr "{i}Steve?!{/i}"
        stop sound fadeout 1.0
        "I screech to a halt. Everyone's favorite neighborhood idiot waves to me in devil-may-care fashion from right behind the corner before jogging down the hall to me."
        play music THEME[0] fadein 4.0
        show steve right neutral flip at center with easeinright
        st "Frank! Glad you could make it."
        show steve neutral with dissolve
        st "Didja bring the flashlight?"
        if give_jacket:
            $ express = "nice_joke_man_n"
        else:
            $ express = "nice_joke_man"
        fr "Of course I did, you numbskull."
        if give_jacket:
            $ express = "disgusted_n"
        else:
            $ express = "disgusted"
        fr "...wait a sec. Don't tell me you're still going to stay here after all that trouble I went through."
        if give_jacket:
            scene cg2_1_n with fade
        else:
            scene cg2_1 with fade
        "Steve throws an arm around me and ruffles my hair."
        st "Nah, I'm good."
        st "Hey, let's get outta here before the sun's completely up. Think we can sneak back home without getting yelled at?"
        frcg "I know a way through the back, I got you covered."
        st "Thanks man! You're a lifesaver, what would I do without you?"
        frcg "Be ghoul food, probably."
        st "Haha, yeah."
        if give_jacket:
            scene cg2_2_n with dissolve
        else:
            scene cg2_2 with dissolve
        st "... Say, were you worried about me? This place {i}is{/i} pretty scary after all."
        frcg "Well, it's not like this is the first time I've had to bail you out. You get pretty used to it."
        st "Yeah, but still! An abandoned hospital at night, woooooo~"
        "Good old goofy Steve."
        "But... I can't shake the feeling that something's off."
        frcg "...you alright man?"
        st "Pfft, of course I am! Never been better."
        "Steve lets go. I turn to face him."
        scene hallway with fade:
            alpha 2.0
        show steve right grin at center_dissolve
        st "Ahh, lighten up, Frank! You look like you've just seen a ghost!"
        if give_jacket:
            $ express = "neutral_n"
        else:
            $ express = "neutral"
        fr "Speaking of which, did you ever find the one that you came looking for in the first place?"
        show steve derp with dissolve
        st "Nope! I didn't see anyone else, so I guess it was just a rumor."
        if give_jacket:
            $ express = "worried_n"
        else:
            $ express = "worried"
        fr "..."
        show steve right grin with dissolve
        st "C'mon man, let's get going already!"
        fr "... Sure."
        "Steve and I walk back down the corridor, towards the exit."
        show steve grin with dissolve
        "I've got this nagging feeling that I'm forgetting something."
        "I check my pockets."
        "Keys? Check. Cell phone? Check. Wallet? Check. So what am I missing?"
        show steve right derp with dissolve
        st "Hey, what's up?"
        if give_jacket:
            $ express = "disgusted_n"
        else:
            $ express = "disgusted"
        fr "It's nothing. Let's go home."
        $ show_quick_menu = False
        window hide
        scene black with fade
        centered "{font=GUI/1942.ttf}{size=+70}{cps=*0.2}ending 3: possessive{/cps}{/size}{/font}\n\n\n{font=GUI/1942.ttf}{size=+60}{cps=*0.2}<pe'zesiv> {i}adj.{/i}{/cps}{/size}{/font}\n\n\n\n{font=GUI/1942.ttf}{size=+50}{cps=*0.1}1. to have ownership of{/cps}{/size}{/font}\n\n{font=GUI/1942.ttf}{size=+50}{cps=*0.08}2. clingy{/cps}{/size}{/font}" with dissolve
#        centered "{font=GUI/1942.ttf}{size=+70}{cps=*0.5}Journal Password unlocked. Visit {a=http://nightatthehospital.vnovel.com/journals}{font=GUI/1942.ttf}{size=+70}{cps=*0.5}the website{/cps}{/size}{/font}{/a} and type in {color=#C80000}Crossthebeams{/color} to view Steve's entries.{/cps}{/size}{/font}" with dissolve

        $ persistent.steve_diary_unlocked = True
        call steve_diary
        jump the_end
        
    label the_end:
        call credits
    return


init:
    $ credits_str1 = "{size=80}Credits\n\n\n{size=40}Backgrounds, Art Quality Check\n{size=60}Anna\n\n"
    $ credits_str2 = "{size=40}Sprites and CG Lineart\n{size=60}AyaNyu\n\n"
    $ credits_str3 = "{size=40}Sprites and CG Coloring\n{size=60}4thsquad\n\n"
    $ credits_str4 = "{size=40}GUI, Main Menu\n{size=60}nugeyo\n\n"
    $ credits_str5 = "{size=40}Programming\n{size=60}Leon Zavšek\n\n"
    $ credits_str6 = "{size=40}Writing (Ending 1)\n{size=60}Mink\n\n"
    $ credits_str7 = "{size=40}Writing (Ending 2)\n{size=60}Omnificent\n\n"
    $ credits_str8 = "{size=40}Writing (Ending 3)\n{size=60}CheeryMoya\n\n"
    $ credits_str9 = "{size=40}Music\n{size=60}Maou Damashii\n{size=60}Amorphous\n\n"
    $ credits_str10 = "{size=40}Engine\n{size=60}Ren'py\n6.15.4.320"

    $ credits_str = credits_str1 + credits_str2 + credits_str3 + credits_str4 + credits_str5 + credits_str6 + credits_str7 + credits_str8 + credits_str9 + credits_str10


label credits:
    window hide
    #play music THEME[0] fadein 1.0
    scene black with fade
    
    image thanks = Text("{size=80}Thanks for Playing!", font="GUI/yataghan.ttf", text_align=0.5)
    image cred = Text(credits_str, font="GUI/yataghan.ttf", text_align=0.5)
    
    show cred at Move((0.5, 5.0), (0.5, 0.0), 25.0, repeat=False, bounce=False, xanchor="center", yanchor="bottom")
    with Pause(25.0)
    show thanks:
        yanchor 0.5 ypos 0.5
        xanchor 0.5 xpos 0.5
    with dissolve
    with Pause(3.0)
    #$ renpy.game_menu("extras")
    return